# GCC_GCCPDU Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_request, e_response, e_indication }

## Public Member Functions

| GCC_GCCPDU (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_RequestPDU & ()
| operator const GCC_RequestPDU & () const
| operator GCC_ResponsePDU & ()
| operator const GCC_ResponsePDU & () const
| operator GCC_IndicationPDU & ()
| operator const GCC_IndicationPDU & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_GCCPDU::Choices

Enumerator:

  e_request |
  e_response |
  e_indication |

## Constructor & Destructor Documentation

GCC_GCCPDU::GCC_GCCPDU | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_GCCPDU::operator GCC_RequestPDU & | ( |  | ) |

GCC_GCCPDU::operator const GCC_RequestPDU & | ( |  | ) | const

GCC_GCCPDU::operator GCC_ResponsePDU & | ( |  | ) |

GCC_GCCPDU::operator const GCC_ResponsePDU & | ( |  | ) | const

GCC_GCCPDU::operator GCC_IndicationPDU & | ( |  | ) |

GCC_GCCPDU::operator const GCC_IndicationPDU & | ( |  | ) | const

PBoolean GCC_GCCPDU::CreateObject | ( |  | ) |

PObject* GCC_GCCPDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h